Index: src/plugindata.h
===================================================================
--- src/plugindata.h	(revision 2322)
+++ src/plugindata.h	(working copy)
@@ -36,7 +36,7 @@
 
 /* The API version should be incremented whenever any plugin data types below are
  * modified or appended to. */
-static const gint api_version = 45;
+static const gint api_version = 46;
 
 /* The ABI version should be incremented whenever existing fields in the plugin
  * data types below have to be changed or reordered. It should stay the same if fields
@@ -327,6 +327,7 @@
 typedef struct FiletypeFuncs
 {
 	filetype*	(*detect_from_filename) (const gchar *utf8_filename);
+	filetype*   (*get_from_uid) (gint uid);
 }
 FiletypeFuncs;
 
Index: src/plugins.c
===================================================================
--- src/plugins.c	(revision 2322)
+++ src/plugins.c	(working copy)
@@ -211,7 +211,8 @@
 
 
 static FiletypeFuncs filetype_funcs = {
-	&filetypes_detect_from_filename
+	&filetypes_detect_from_filename,
+	&filetypes_get_from_uid
 };
 
 
